View Issue Details

IDProjectCategoryView StatusLast Update
0021959mantisbtinstallationpublic2016-12-30 15:54
Reportergiallu 
Assigned Todregad 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version1.2.0rc1 
Target Version1.3.5Fixed in Version1.3.5 
Summary0021959: Installer fails if mbstring extension is not installed
Description

Initially reported by giallu in https://github.com/mantisbt/mantisbt/pull/903

The mbstring extension is not really optional, failing to have it installed leads to 500 errors on login page.

Right after finishing the install.php step I am pointed to login_page.php and got a 500. Error in the php log is:

/login_page.php - Call to undefined function utf8_decode() in /home/giallu/projects/mantisbt/library/utf8/native/core.php on line 34

Additional Information

See the discussion in the PR for further details.

TagsNo tags attached.

Relationships

Activities

There are no notes attached to this issue.

Related Changesets

MantisBT: master-1.3.x 8465042c

2016-11-26 19:33:32

dregad

Details Diff
Require mbstring extension

The installer will fail with 500 errors on login page if the mbstring
extension is not present, unless it can fall back on the multi-byte
functions provided by the utf8 library which requires the utf8_encode()
function (provided by the XMLParser extension).

The Admin Guide has been updated to clearly document the fact that
mbstring is mandatory.

Based on original commit proposed by Gianluca Sforna in
https://github.com/mantisbt/mantisbt/pull/903

Fixes 0021959
mod - admin/install.php Diff File
mod - docbook/Admin_Guide/en-US/Installation.xml Diff File

Issue History

Date Modified Username Field Change
2016-11-26 19:42 dregad New Issue
2016-11-26 19:42 dregad Status new => assigned
2016-11-26 19:42 dregad Assigned To => dregad
2016-11-27 08:22 dregad Target Version 1.3.4 => 1.3.5
2016-12-01 12:23 dregad Changeset attached => MantisBT master-1.3.x 8465042c
2016-12-01 12:23 dregad Status assigned => resolved
2016-12-01 12:23 dregad Resolution open => fixed
2016-12-01 12:23 dregad Fixed in Version => 1.3.5
2016-12-01 12:27 dregad Reporter dregad => giallu
2016-12-30 15:54 vboctor Status resolved => closed